Package org.eclipse.jdt.core.util

## Interface IComponentInfo

    public interface IComponentInfo

Description of a component info as described in the JVM specifications. This interface may be implemented by clients.

Since:
  3.22

### Method Summary

All Methods Instance Methods Abstract Methods
`int` `getAttributeCount()` Answer back the attribute number of the component info.
`IClassFileAttribute[]` `getAttributes()` Answer back the collection of all attributes of the component info.
`char[]` `getDescriptor()` Answer back the descriptor of this component info.
`int` `getDescriptorIndex()` Answer back the descriptor index of this component info.
`char[]` `getName()` Answer back the name of this component info.
`int` `getNameIndex()` Answer back the name index of this component info.
`int` `sizeInBytes()` Answer back the total size

### Method Detail

#### getName

    char[] getName()

Answer back the name of this component info. The name is returned as specified in the JVM specifications.

Returns:
  the name of this component info. The name is returned as specified in the JVM specifications

#### getNameIndex

    int getNameIndex()

Answer back the name index of this component info.

Returns:
  the name index of this component info

#### getDescriptor

    char[] getDescriptor()

Answer back the descriptor of this component info. The descriptor is returned as specified in the JVM specifications.

Returns:
  the descriptor of this component info. The descriptor is returned as specified in the JVM specifications

#### getDescriptorIndex

    int getDescriptorIndex()

Answer back the descriptor index of this component info.

Returns:
  the descriptor index of this component info

#### getAttributeCount

    int getAttributeCount()

Answer back the attribute number of the component info.

Returns:
  the attribute number of the component info

#### getAttributes

    IClassFileAttribute[] getAttributes()

Answer back the collection of all attributes of the component info. It includes SyntheticAttribute, ConstantValueAttributes, etc. Returns an empty collection if none.

Returns:
  the collection of all attributes of the component info. Returns an empty collection if none

#### sizeInBytes

    int sizeInBytes()

Answer back the total size

Returns:
  the size of the component info